Page MenuHomePhabricator

Release 6.1
Closed, ResolvedPublic

Description

Release version: 6.1
Release tag: releases/6.1.0
Release SHA1: 7274a5ab521cb2699f0ec8ca5cbf5993944e838d
App Store Submission Date: 10/29/18
App Store Approval Date: 10/30/18
App Store Release Date: 10/31/18
Regression Testing URL: https://docs.google.com/spreadsheets/d/1btA04MIscHQaM7nshcP9usdgnfq_M9YLbiRbVCKF6t4/edit#gid=1481584041


Pre-release

  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • Notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Oct 10 2018, 7:01 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptOct 10 2018, 7:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Normal priority.
LGoto updated the task description. (Show Details)Nov 1 2018, 8:47 PM
LGoto updated the task description. (Show Details)Nov 1 2018, 8:50 PM
LGoto updated the task description. (Show Details)Nov 1 2018, 9:21 PM
LGoto closed this task as Resolved.